{% extends "@Paa/Default/entityFormBase.html.twig" %}

{% block identification %}
    <div id="fEntityForm_{{ psNomTable }}_IdentifiantEntité" style="display:none;">{{ poEntité.iidReferent }}</div>
{% endblock %}

{% block formulaire %}
    <div class="d-flex justify-content-around justify-content-lg-end flex-wrap">
    {% if poForm.ctypelien is defined %}
        <div class="form-group col-sm-6 col-lg-10 p-2 m-0 d-flex flex-row align-items-center justify-content-end float-right">
            {# Génération du label. #}
            {{ form_label(poForm.ctypelien, "Lien ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}

            <div class="col-sm-6 col-md-8 col-lg-8">
                {{ form_widget(poForm.ctypelien, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}
    
    
    {% if poForm.ccivilite is defined %}
        <div class="form-group col-sm-6 col-lg-10 p-2 m-0 d-flex flex-row align-items-center justify-content-end float-right">
            {# Génération du label. #}
            {{ form_label(poForm.ccivilite, "Civilité ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}

            <div class="col-sm-6 col-md-8 col-lg-8">
                {{ form_widget(poForm.ccivilite, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}
    </div>
<div class="d-flex justify-content-around justify-content-lg-end flex-wrap">
    {% if poForm.cnom is defined %}
        <div class="form-group col-sm-6 col-lg-10 p-2 m-0 d-flex flex-row align-items-center justify-content-end float-right">
            {# Génération du label. #}
            {{ form_label(poForm.cnom, "Nom ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}

            <div class="col-sm-6 col-md-8 col-lg-8">
                {{ form_widget(poForm.cnom, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}


    {% if poForm.cprenom is defined %}
        <div class="form-group col-sm-6 col-lg-10 p-2 m-0 d-flex flex-row align-items-center justify-content-end float-right">
            {# Génération du label. #}
            {{ form_label(poForm.cprenom, "Prénom ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}

            <div class="col-sm-6 col-md-8 col-lg-8">
                {{ form_widget(poForm.cprenom, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}
</div>
<div class="d-flex justify-content-around justify-content-lg-end flex-wrap">
    {% if poForm.cadresse is defined %}
        <div class="form-group col-sm-6 col-lg-10 p-2 m-0 d-flex flex-row align-items-center justify-content-end float-right">
            {# Génération du label. #}
            {{ form_label(poForm.cadresse, "Adresse ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}

            <div class="col-sm-6 col-md-8 col-lg-8">
                {{ form_widget(poForm.cadresse, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}

    {% if poForm.cadresse2 is defined %}
        <div class="form-group col-sm-6 col-lg-10 p-2 m-0 d-flex flex-row align-items-center justify-content-end float-right">
            {# Génération du label. #}
            {{ form_label(poForm.cadresse2, " ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}

            <div class="col-sm-6 col-md-8 col-lg-8">
                {{ form_widget(poForm.cadresse2, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}
</div>
<div class="d-flex justify-content-around justify-content-lg-end flex-wrap">
    {% if poForm.ccp is defined %}
        <div class="form-group col-sm-6 col-lg-10 p-2 m-0 d-flex flex-row align-items-center justify-content-end float-right">
            {# Génération du label. #}
            {{ form_label(poForm.ccp, "CP ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}

            <div class="col-sm-6 col-md-8 col-lg-8">
                {{ form_widget(poForm.ccp, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}

    {% if poForm.cville is defined %}
        <div class="form-group col-sm-6 col-lg-10 p-2 m-0 d-flex flex-row align-items-center justify-content-end float-right">
            {# Génération du label. #}
            {{ form_label(poForm.cville, "Ville ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}

            <div class="col-sm-6 col-md-8 col-lg-8">
                {{ form_widget(poForm.cville, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}
</div>
<div class="d-flex justify-content-around justify-content-lg-end flex-wrap">
    {% if poForm.cportable is defined %}
        <div class="form-group col-sm-6 col-lg-10 p-2 m-0 d-flex flex-row align-items-center justify-content-end float-right">
            {# Génération du label. #}
            {{ form_label(poForm.cportable, "Portable ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}

            <div class="col-sm-6 col-md-8 col-lg-8">
                {{ form_widget(poForm.cportable, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}

    {% if poForm.cteldomicile is defined %}
        <div class="form-group col-sm-6 col-lg-10 p-2 m-0 d-flex flex-row align-items-center justify-content-end float-right">
            {# Génération du label. #}
            {{ form_label(poForm.cteldomicile, "Tel. domicile ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}

            <div class="col-sm-6 col-md-8 col-lg-8">
                {{ form_widget(poForm.cteldomicile, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}
</div>
<div class="d-flex justify-content-around justify-content-lg-end flex-wrap">
    {% if poForm.ctelbureau is defined %}
        <div class="form-group col-sm-6 col-lg-10 p-2 m-0 d-flex flex-row align-items-center justify-content-end float-right">
            {# Génération du label. #}
            {{ form_label(poForm.ctelbureau, "Tel. bureau ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}

            <div class="col-sm-6 col-md-8 col-lg-8">
                {{ form_widget(poForm.ctelbureau, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}

    {% if poForm.cmel is defined %}
        <div class="form-group col-sm-6 col-lg-10 p-2 m-0 d-flex flex-row align-items-center justify-content-end float-right">
            {# Génération du label. #}
            {{ form_label(poForm.cmel, "Courriel ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}

            <div class="col-sm-6 col-md-8 col-lg-8">
                {{ form_widget(poForm.cmel, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}
</div>
<div class="d-flex justify-content-around justify-content-lg-end flex-wrap">

    {% if poForm.ccommentaire is defined %}
        <div class="form-group col-sm-6 col-lg-10 p-2 m-0 d-flex flex-row align-items-center justify-content-end float-right">
            {# Génération du label. #}
            {{ form_label(poForm.ccommentaire, "Commentaire ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}

            <div class="col-sm-6 col-md-8 col-lg-8">
                {{ form_widget(poForm.ccommentaire, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}

    {% if poForm.ctype is defined %}
        <div class="form-group col-sm-6 col-lg-10 p-2 m-0 d-flex flex-row align-items-center justify-content-end float-right">
            {# Génération du label. #}
            {{ form_label(poForm.ctype, "Type ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}

            <div class="col-sm-6 col-md-8 col-lg-8">
                {{ form_widget(poForm.ctype, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}
</div>
    <!-- DEBUT CHECKBOX -->
   <div class="d-flex justify-content-around justify-content-lg-end flex-wrap"> 
    {% if poForm.lfactprixjournee is defined %}
    <div class="form-group col-sm-6 col-lg-10 p-2 m-0 d-flex flex-row align-items-center justify-content-end float-right">
    <div class="col-lg-offset-2 col-lg-10">
    <div class="checkbox">
      <label>
        {{ form_widget(poForm.lfactprixjournee, {'attr': {'class': 'control-label m-0 mr-3'}}) }}
        Prix de journée
      </label>
    </div>
    </div>
    </div>
    {% endif %}
    
    {% if poForm.lfactreversion is defined %}
    <div class="form-group col-sm-6 col-lg-10 p-2 m-0 d-flex flex-row align-items-center justify-content-end float-right">
    <div class="col-lg-offset-2 col-lg-10">
    <div class="checkbox">
      <label>
        {{ form_widget(poForm.lfactreversion, {'attr': {'class': 'control-label m-0 mr-3'}}) }}
        Réversion
      </label>
    </div>
    </div>
    </div>
    {% endif %}
   </div>
   <div class="d-flex justify-content-around justify-content-lg-end flex-wrap">
    {% if poForm.ltuteur is defined %}
    <div class="form-group col-sm-6 col-lg-10 p-2 m-0 d-flex flex-row align-items-center justify-content-end float-right">
    <div class="col-lg-offset-2 col-lg-10">
    <div class="checkbox">
      <label>
        {{ form_widget(poForm.ltuteur, {'attr': {'class': 'control-label m-0 mr-3'}}) }}
        Tuteur légal de l'usager
      </label>
    </div>
    </div>
    </div>
    {% endif %}
    
    {% if poForm.lautoriserecup is defined %}
    <div class="form-group col-sm-6 col-lg-10 p-2 m-0 d-flex flex-row align-items-center justify-content-end float-right">
    <div class="col-lg-offset-2 col-lg-10">
    <div class="checkbox">
      <label>
        {{ form_widget(poForm.lautoriserecup, {'attr': {'class': 'control-label m-0 mr-3'}}) }}
        Habilité à la prise en charge
      </label>
    </div>
    </div>
    </div>
    {% endif %}
   </div>
   <div class="d-flex justify-content-around justify-content-lg-end flex-wrap">
    {% if poForm.lresidence is defined %}
    <div class="form-group col-sm-6 col-lg-10 p-2 m-0 d-flex flex-row align-items-center justify-content-end float-right">
    <div class="col-lg-offset-2 col-lg-10">
    <div class="checkbox">
      <label>
        {{ form_widget(poForm.lresidence, {'attr': {'class': 'control-label m-0 mr-3'}}) }}
        L'usager réside à cette adresse
      </label>
    </div>
    </div>
    </div>
    {% endif %}
    
    {% if poForm.lplacement is defined %}
    <div class="form-group col-sm-6 col-lg-10 p-2 m-0 d-flex flex-row align-items-center justify-content-end float-right">
    <div class="col-lg-offset-2 col-lg-10">
    <div class="checkbox">
      <label>
        {{ form_widget(poForm.lplacement, {'attr': {'class': 'control-label m-0 mr-3'}}) }}
        Adresse de placement spécialisé
      </label>
    </div>
    </div>
    </div>
    {% endif %}
   </div>
   <div class="d-flex justify-content-around justify-content-lg-end flex-wrap">
    {% if poForm.lsendbull is defined %}
    <div class="form-group col-sm-6 col-lg-10 p-2 m-0 d-flex flex-row align-items-center justify-content-end float-right">
    <div class="col-lg-offset-2 col-lg-10">
    <div class="checkbox">
      <label>
        {{ form_widget(poForm.lsendbull, {'attr': {'class': 'control-label m-0 mr-3'}}) }}
        Inclus dans le publipostage
      </label>
    </div>
    </div>
    </div>
    {% endif %}
    
    {% if poForm.lice is defined %}
    <div class="form-group col-sm-6 col-lg-10 p-2 m-0 d-flex flex-row align-items-center justify-content-end float-right">
    <div class="col-lg-offset-2 col-lg-10">
    <div class="checkbox">
      <label>
        {{ form_widget(poForm.lice, {'attr': {'class': 'control-label m-0 mr-3'}}) }}
        A contacter en cas d'urgence
      </label>
    </div>
    </div>
    </div>
    {% endif %}
   </div>
   <div class="d-flex justify-content-around justify-content-lg-end flex-wrap">
    {% if poForm.lfactloyer is defined %}
    <div class="form-group col-sm-6 col-lg-10 p-2 m-0 d-flex flex-row align-items-center justify-content-end float-right">
    <div class="col-lg-offset-2 col-lg-10">
    <div class="checkbox">
      <label>
        {{ form_widget(poForm.lfactloyer, {'attr': {'class': 'control-label m-0 mr-3'}}) }}
        Loyer
      </label>
    </div>
    </div>
    </div>
    {% endif %}
    
    {% if poForm.ldotationglobale is defined %}
    <div class="form-group col-sm-6 col-lg-10 p-2 m-0 d-flex flex-row align-items-center justify-content-end float-right">
    <div class="col-lg-offset-2 col-lg-10">
    <div class="checkbox">
      <label>
        {{ form_widget(poForm.ldotationglobale, {'attr': {'class': 'control-label m-0 mr-3'}}) }}
        Dotation globale
      </label>
    </div>
    </div>
    </div>
    {% endif %}
   </div>
{% endblock %}